# Get Campiagn

To retrieve information about a specific campaign, make a GET request to the following endpoint:

<pre><code><strong>https://api.peach-in.com/v4/campaigns/{campaignId}
</strong></code></pre>

* Replace `{campaignId}` with the unique identifier of the campaign you want to retrieve.

**Request**

Include your API key in the Authorization header of the request, as described in the [Authorization ](https://peach-organization.gitbook.io/peach/api-reference/authentication)section.

**Response**

A successful response to the GET Campaigns endpoint will return the campaign information in the JSON format. The response will include various details about the campaign, such as its ID, name, start date, end date, and any associated metrics.

Here's an example response:

```json
{
    "currency": {
        "he": "ILS",
        "en": "ILS"
    },
    "campaignGoal": "5000",
    "currencyOptions": [
        "ILS",
        "USD",
        "GBP",
        "EUR"
    ],
    "orgHeaderImageMobile": {
        "en": "https://resources.peach-in.com/orgs/0000/1684157861924.gif"
    },
    "receiptProductText": {
        "he": "תרומה"
    },
    "name": {
        "he": "campaign",
        "en": "test"
    },
    "supportedLanguages": [
        "en",
        "he"
    ],
    "telForCustomers": "0584328775",
    "urlId": "SGrRhl8y5",
    "isProductGoal": true,
    "orgBackgroundImage": {
        "en": "https://resources.peach-in.com/orgs/000/1684158007355.gif"
    },
    "internalName": "campaing",
    "orgHeaderImage": {
        "en": "https://resources.peach-in.com/orgs/0000/1684157576974.gif"
    },
    "hideButtons": false,
    "displayGraphicsAbout": true,
    "campaignId": "t2za",
    "disableBit": false,
    "accountId": "SGrR",
    "customProperties": [
        {
            "autoComplete": "given-name",
            "ref": "donorFirstName",
            "validationRules": [
                {
                    "name": "required",
                    "defaultMessage": "validation_required_message",
                    "label": "validation_required",
                    "message": "validation_required_message"
                }
            ],
            "label": {
                "he": "שם פרטי",
                "en": "First name"
            },
            "type": "text",
            "actions": [],
            "required": true
        },
        {
            "autoComplete": "email",
            "ref": "email",
            "label": {
                "he": "מייל",
                "en": "Email"
            },
            "type": "text",
            "validationRules": [
                {
                    "name": "email",
                    "defaultMessage": "validation_email_not_valid",
                    "label": "validation_email",
                    "message": "validation_email_not_valid"
                }
            ],
            "required": false
        },
    ],
    "paymentTemplatesConfig": {
        "dateDedication": {
            "free": true,
            "price": "1"
        }
    },
    "enableInstallments": false,
    "orgBackgroundImageMobile": {
        "en": "https://resources.peach-in.com/orgs/0000/1684158014185.gif"
    },
    "vouchers": [
        {
            "expiryDate": 1684495980000,
            "createdAt": 1684333996374,
            "amount": "100",
            "name": "test",
            "active": true,
            "id": "838ebb21-6775-459d-89e0-56994c520c56",
            "type": "percentage"
        },
    ],
    "enableVouchers": true,
    "showMoneyGoal": false,
    "paymentTemplate": "defaultCampaign",
    "updatedAt": 1688568525148,
    "displayGroups": true,
    "productCost": "5",
    "paymentMethods": [
        "38ca2858-f792-4bc9-854b-e43dbbd99bd2",
        "2a6f2935-7ab8-4ee1-bab8-e207cccb9721",
        "278c8bdd-b7d7-4d95-89b0-ffe4d421d3d3"
    ],
    "whatsappForCustomers": "0584328775",
    "type": "campaign",
    "productName": {
        "he": "אקדא"
    },
    "displayDonations": true
}
```

**Example**

Here's an example cURL command to retrieve information about a specific campaign:

```bash
curl -X GET \
  -H "Authorization: Bearer YOUR_API_KEY" \
  https://api.peach-in.com/v4/campaigns/campaign123
```

Replace `YOUR_API_KEY` with your actual API key and `campaign123` with the ID of the campaign you want to retrieve.
